<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AdditionalInformation extends Model
{
    protected $table = 'additional_information';
    
    protected $fillable = [
        'insurance_claim_id',
        'user_id',
        'policy_number',
        'claim_number',
        'incident_date',
        'notified_date',
        'driver_name',
        'driver_age',
        'claim_notified_by',
        'vehicle_registration',
        'file_handler',
        'responsibility',
        'dashcam_footage',
        'circumstances',
        'digital_signature'
    ];

    protected $casts = [
        'incident_date' => 'date',
        'notified_date' => 'date',
        'driver_age' => 'integer'
    ];

    public function insuranceClaim()
    {
        return $this->belongsTo(InsuranceClaim::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
