<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CaseClosure extends Model
{
    protected $fillable = [
        'insurance_claim_id',
        'user_id',
        'outcome',
        'final_costing',
        'payment_date',
        'case_close_date',
        'closure_reasoning',
        'supporting_documentation',
        'brief_summary',
        'outstanding_issues',
        'communication_summary',
        'final_case_notes',
        'digital_signature'
    ];

    protected $casts = [
        'payment_date' => 'date',
        'case_close_date' => 'date',
        'final_costing' => 'decimal:2'
    ];

    public function insuranceClaim()
    {
        return $this->belongsTo(InsuranceClaim::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
