<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CaseNote extends Model
{
    protected $fillable = [
        'insurance_claim_id',
        'user_id',
        'title',
        'note_date',
        'document',
        'notes',
        'digital_signature'
    ];

    protected $casts = [
        'note_date' => 'date'
    ];

    public function insuranceClaim()
    {
        return $this->belongsTo(InsuranceClaim::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
