<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('additional_information', function (Blueprint $table) {
            $table->id();
            $table->foreignId('insurance_claim_id')->constrained('insurance_claims')->onDelete('cascade');
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->string('policy_number');
            $table->string('claim_number');
            $table->date('incident_date');
            $table->date('notified_date');
            $table->string('driver_name');
            $table->integer('driver_age');
            $table->string('claim_notified_by');
            $table->string('vehicle_registration');
            $table->string('file_handler');
            $table->string('responsibility');
            $table->string('dashcam_footage')->nullable();
            $table->text('circumstances');
            $table->text('digital_signature');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('additional_information');
    }
};
