<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('case_notes', function (Blueprint $table) {
            $table->id();
            $table->foreignId('insurance_claim_id')->constrained('insurance_claims')->onDelete('cascade');
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->string('title');
            $table->date('note_date');
            $table->string('document')->nullable();
            $table->text('notes');
            $table->text('digital_signature');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('case_notes');
    }
};
