<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('username')->unique()->after('id');
            $table->string('contact')->after('email_verified_at');
            $table->text('address')->after('contact');
            $table->string('company_name')->nullable()->after('address');
            $table->enum('role', ['admin', 'agent'])->after('company_name');
            // Modify name to be nullable since we'll use username as the main identifier
            $table->string('name')->nullable()->change();
        });
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['username', 'contact', 'address', 'company_name', 'role']);
            $table->string('name')->nullable(false)->change();
        });
    }
};
