<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('insurance_claims', function (Blueprint $table) {
            // Injured Person 1 Additional Fields
            $table->text('injuries1')->nullable();
            $table->string('treatment1')->nullable();
            $table->string('hospital1')->nullable();
            $table->string('detained1')->nullable();

            // Injured Person 2
            $table->string('injured_name2')->nullable();
            $table->string('injured_postal2')->nullable();
            $table->string('injured_tel2')->nullable();
            $table->text('injuries2')->nullable();
            $table->string('injured_vehicle2')->nullable();
            $table->string('treatment2')->nullable();
            $table->string('hospital2')->nullable();
            $table->string('detained2')->nullable();

            // Witness 1
            $table->string('witness_name1')->nullable();
            $table->text('witness_address1')->nullable();
            $table->boolean('witness_passengers1')->nullable();
            $table->boolean('witness_ask1')->nullable();
            $table->string('witness_postcode1')->nullable();
            $table->string('witness_tel1')->nullable();

            // Witness 2
            $table->string('witness_name2')->nullable();
            $table->text('witness_address2')->nullable();
            $table->boolean('witness_passengers2')->nullable();
            $table->boolean('witness_ask2')->nullable();
            $table->string('witness_postcode2')->nullable();
            $table->string('witness_tel2')->nullable();

            // Accident Details
            $table->text('accident_plan')->nullable();
            $table->text('accident_circumstances')->nullable();
        });
    }

    public function down()
    {
        Schema::table('insurance_claims', function (Blueprint $table) {
            // Injured Person 1 Additional Fields
            $table->dropColumn('injuries1');
            $table->dropColumn('treatment1');
            $table->dropColumn('hospital1');
            $table->dropColumn('detained1');

            // Injured Person 2
            $table->dropColumn('injured_name2');
            $table->dropColumn('injured_postal2');
            $table->dropColumn('injured_tel2');
            $table->dropColumn('injuries2');
            $table->dropColumn('injured_vehicle2');
            $table->dropColumn('treatment2');
            $table->dropColumn('hospital2');
            $table->dropColumn('detained2');

            // Witness 1
            $table->dropColumn('witness_name1');
            $table->dropColumn('witness_address1');
            $table->dropColumn('witness_passengers1');
            $table->dropColumn('witness_ask1');
            $table->dropColumn('witness_postcode1');
            $table->dropColumn('witness_tel1');

            // Witness 2
            $table->dropColumn('witness_name2');
            $table->dropColumn('witness_address2');
            $table->dropColumn('witness_passengers2');
            $table->dropColumn('witness_ask2');
            $table->dropColumn('witness_postcode2');
            $table->dropColumn('witness_tel2');

            // Accident Details
            $table->dropColumn('accident_plan');
            $table->dropColumn('accident_circumstances');
        });
    }
};
