<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('insurance_claims', function (Blueprint $table) {
            // Drop existing witness fields that were named incorrectly
            $table->dropColumn([
                'witness_passengers1',
                'witness_passengers2',
                'witness_ask1',
                'witness_ask2'
            ]);

            // Add correct witness fields
            $table->boolean('witness_in_vehicle1')->nullable();
            $table->boolean('witness_in_vehicle2')->nullable();

            // Add file upload fields
   
        });
    }

    public function down()
    {
        Schema::table('insurance_claims', function (Blueprint $table) {
            // Revert the changes
            $table->boolean('witness_passengers1')->nullable();
            $table->boolean('witness_passengers2')->nullable();
            $table->string('witness_ask1')->nullable();
            $table->string('witness_ask2')->nullable();

            $table->dropColumn([
                'witness_in_vehicle1',
                'witness_in_vehicle2',
            ]);
        });
    }
};
