<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('case_closures', function (Blueprint $table) {
            $table->id();
            $table->foreignId('insurance_claim_id')->constrained('insurance_claims')->onDelete('cascade');
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->enum('outcome', ['Faulty', 'Non Faulty']);
            $table->decimal('final_costing', 10, 2);
            $table->date('payment_date');
            $table->date('case_close_date');
            $table->enum('closure_reasoning', [
                'Settled',
                'Denied',
                'No Further Action',
                'Withdrawn',
                'Resolved by Agreement',
                'Settled Privately'
            ]);
            $table->string('supporting_documentation')->nullable();
            $table->text('brief_summary');
            $table->text('outstanding_issues');
            $table->text('communication_summary');
            $table->text('final_case_notes');
            $table->string('digital_signature');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('case_closures');
    }
};
