@extends('layouts.main')
@section('content')
<div class="all-content-wrapper">
  <div class="container-fluid">
   @include('includes.header')
  <div class="admintab-area mg-b-15">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
          <div id="successMessage" style="display: none;" class="alert alert-success"></div>
          <h3 class="mb-20">Cases Listing</h3>
          <div class="product-payment-inner-st mb-100">
            <ul id="myTabedu1" class="tab-review-design">
              <li class="active"><a href="#all">All Cases</a></li>
              <li class=""><a href="#logged"> Logged</a></li>
              <li class=""><a href="#open">Open</a></li>
              <li class=""><a href="#closed">Closed</a></li>
              <li class=""><a href="#reopen">Reopened</a></li>
            </ul>
            <div id="myTabContent" class="tab-content custom-product-edit">
              <div class="product-tab-list tab-pane fade active in" id="all">
                <div class="row">
                  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sparkline8-graph">
                      <div class="static-table-list">
                        <table class="table">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Vehicle Registration</th>
                              <th>Submitted By</th>
                              <th>Submission Date </th>
                              <th>Status</th>
                              <th>Location</th>
                              <th>Accident Date</th>
                              <th>Case Files</th>
                              <th>Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            @foreach($allCases as $case)
                            <tr>
                              <td>{{ $loop->iteration }}</td>
                              <td>{{ $case->registration_no }}</td>
                              <td>{{ $case->driver_name }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td>
                                @if($case->status === 'logged')
                                    <button type="button" class="btn btn-custon-rounded-three btn-danger btn-xs">Logged</button>
                                @elseif($case->status === 'open')
                                    <button type="button" class="btn btn-custon-rounded-three btn-primary btn-xs">Open</button>
                                @elseif($case->status === 'closed')
                                    <button type="button" class="btn btn-custon-rounded-three btn-success btn-xs">Closed</button>
                                @endif
                              </td>
                              <td>{{ $case->vehicle_location }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><a href="{{ route('case.attachments.download', $case->id) }}" class="btn btn-default btn-xs">Download all in zip format <i class="fa fa-file-zip-o"></i> </a></td>
                              <td>
                                @if($case->status === 'logged')
                                    <a href="#" data-toggle="modal" data-target="#AddInformation" data-claim-id="{{ $case->id }}"><i class="fa fa-plus-square-o" title="Add Information"></i></a> &nbsp;
                                    <i class="fa fa-angle-double-right" title="Update Status" href="#" data-toggle="modal" data-target="#ChangeStatus1" data-claim-id="{{ $case->id }}" data-current-status="{{ $case->status }}"></i>
                                @endif
                                @if($case->status === 'open')
                                    <a href="#" data-toggle="modal" data-target="#AddClosure" data-claim-id="{{ $case->id }}"><i class="fa fa-plus-square-o" title="Add Closure Details"></i></a> &nbsp;
                                    <i class="fa fa-file-text-o" title="Add Notes" href="#" data-toggle="modal" data-target="#AddNotes" data-claim-id="{{ $case->id }}"></i> &nbsp;
                                @endif
                                <a href="{{ route('case.detail', $case->id)}}"><i class="fa fa-search" title="View Details"></i></a>&nbsp;
                                @if($case->status == 'closed')
                                    <i class="fa fa-history" title="Reopen" href="#" data-toggle="modal" data-target="#Reopen" data-claim-id="{{ $case->id }}" data-current-status="{{ $case->status }}"></i>
                                @endif
                              </td>
                            </tr>
                            @endforeach
                          </tbody>
                        </table>
                      </div>
                    </div>
                    <div class="custom-pagination">
                      <ul class="pagination">
                        <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"><a class="page-link" href="#">Next</a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              <div class="product-tab-list tab-pane fade" id="logged">
                <div class="row">
                  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sparkline8-graph">
                      <div class="static-table-list">
                        <table class="table">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Vehicle Registration</th>
                              <th>Submitted By</th>
                              <th>Submission Date </th>
                              <th>Status</th>
                              <th>Location</th>
                              <th>Accident Date</th>
                              <th>Case Files</th>
                              <th>Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            @foreach($loggedCases as $case)
                            <tr>
                              <td>{{ $loop->iteration }}</td>
                              <td>{{ $case->registration_no }}</td>
                              <td>{{ $case->driver_name }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><button type="button" class="btn btn-custon-rounded-three btn-danger btn-xs">Logged</button></td>
                              <td>{{ $case->vehicle_location }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><a href="{{ route('case.attachments.download', $case->id) }}" class="btn btn-default btn-xs">Download all in zip format <i class="fa fa-file-zip-o"></i> </a></td>
                              <td>
                                <a href="#" data-toggle="modal" data-target="#AddInformation" data-claim-id="{{ $case->id }}"><i class="fa fa-plus-square-o" title="Add Information"></i></a> &nbsp;
                                <a href="{{ route('case.detail', $case->id)}}"><i class="fa fa-search" title="View Details"></i></a>&nbsp;
                                <i class="fa fa-angle-double-right" title="Update Status" href="#" data-toggle="modal" data-target="#ChangeStatus1" data-claim-id="{{ $case->id }}" data-current-status="{{ $case->status }}"></i>
                              </td>
                            </tr>
                            @endforeach
                          </tbody>
                        </table>
                      </div>
                    </div>
                    <div class="custom-pagination">
                      <ul class="pagination">
                        <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"><a class="page-link" href="#">Next</a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              <div class="product-tab-list tab-pane fade" id="open">
                <div class="row">
                  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sparkline8-graph">
                      <div class="static-table-list">
                        <table class="table">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Vehicle Registration</th>
                              <th>Submitted By</th>
                              <th>Submission Date </th>
                              <th>Status</th>
                              <th>Location</th>
                              <th>Accident Date</th>
                              <th>Case Files</th>
                              <th>Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            @foreach($openCases as $case)
                            <tr>
                              <td>{{ $loop->iteration }}</td>
                              <td>{{ $case->registration_no }}</td>
                              <td>{{ $case->driver_name }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><button type="button" class="btn btn-custon-rounded-three btn-primary btn-xs">Open</button></td>
                              <td>{{ $case->vehicle_location }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><a href="{{ route('case.attachments.download', $case->id) }}" class="btn btn-default btn-xs">Download all in zip format <i class="fa fa-file-zip-o"></i> </a></td>
                              <td>
                                <a href="#" data-toggle="modal" data-target="#AddClosure" data-claim-id="{{ $case->id }}"><i class="fa fa-plus-square-o" title="Add Closure Details"></i></a> &nbsp;
                                <i class="fa fa-file-text-o" title="Add Notes" href="#" data-toggle="modal" data-target="#AddNotes" data-claim-id="{{ $case->id }}"></i> &nbsp;
                                <a href="{{ route('case.detail', $case->id)}}"><i class="fa fa-search" title="View Details"></i></a>&nbsp;
                                <i class="fa fa-angle-double-right" title="Update Status" href="#" data-toggle="modal" data-target="#ChangeStatus2" data-claim-id="{{ $case->id }}" data-current-status="{{ $case->status }}"></i>
                              </td>
                            </tr>
                            @endforeach
                          </tbody>
                        </table>
                      </div>
                    </div>
                    <div class="custom-pagination">
                      <ul class="pagination">
                        <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"><a class="page-link" href="#">Next</a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              <div class="product-tab-list tab-pane fade" id="closed">
                <div class="row">
                  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sparkline8-graph">
                      <div class="static-table-list">
                        <table class="table">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Vehicle Registration</th>
                              <th>Submitted By</th>
                              <th>Submission Date </th>
                              <th>Status</th>
                              <th>Location</th>
                              <th>Accident Date</th>
                              <th>Case Files</th>
                              <th>Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            @foreach($closedCases as $case)
                            <tr>
                              <td>{{ $loop->iteration }}</td>
                              <td>{{ $case->registration_no }}</td>
                              <td>{{ $case->driver_name }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><button type="button" class="btn btn-custon-rounded-three btn-success btn-xs">Closed</button></td>
                              <td>{{ $case->vehicle_location }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><a href="{{ route('case.attachments.download', $case->id) }}" class="btn btn-default btn-xs">Download all in zip format <i class="fa fa-file-zip-o"></i> </a></td>
                              <td>
                                <a href="{{ route('case.detail', $case->id)}}"><i class="fa fa-search" title="View Details"></i></a>&nbsp;
                                <i class="fa fa-history" title="Reopen" href="#" data-toggle="modal" data-target="#Reopen" data-claim-id="{{ $case->id }}" data-current-status="{{ $case->status }}"></i>
                              </td>
                            </tr>
                            @endforeach
                          </tbody>
                        </table>
                      </div>
                    </div>
                    <div class="custom-pagination">
                      <ul class="pagination">
                        <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"><a class="page-link" href="#">Next</a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              <div class="product-tab-list tab-pane fade" id="reopen">
                <div class="row">
                  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="sparkline8-graph">
                      <div class="static-table-list">
                        <table class="table">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Vehicle Registration</th>
                              <th>Submitted By</th>
                              <th>Submission Date </th>
                              <th>Status</th>
                              <th>Location</th>
                              <th>Accident Date</th>
                              <th>Case Files</th>
                              <th>Action</th>
                            </tr>
                          </thead>
                          <tbody>
                            @foreach($reopenedCases as $case)
                            <tr>
                              <td>{{ $loop->iteration }}</td>
                              <td>{{ $case->registration_no }}</td>
                              <td>{{ $case->driver_name }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td>
                                @if($case->status === 'logged')
                                    <button type="button" class="btn btn-custon-rounded-three btn-danger btn-xs">Logged (Reopened)</button>
                                @elseif($case->status === 'open')
                                    <button type="button" class="btn btn-custon-rounded-three btn-primary btn-xs">Open (Reopened)</button>
                                @elseif($case->status === 'closed')
                                    <button type="button" class="btn btn-custon-rounded-three btn-success btn-xs">Closed (Reopened)</button>
                                @endif
                              </td>
                              <td>{{ $case->vehicle_location }}</td>
                              <td>{{ $case->created_at->format('d-m-Y | H:ia') }}</td>
                              <td><a href="{{ route('case.attachments.download', $case->id) }}" class="btn btn-default btn-xs">Download all in zip format <i class="fa fa-file-zip-o"></i> </a></td>
                              <td>
                                @if($case->status === 'logged')
                                    <a href="#" data-toggle="modal" data-target="#AddInformation" data-claim-id="{{ $case->id }}"><i class="fa fa-plus-square-o" title="Add Information"></i></a> &nbsp;
                                @endif
                                @if($case->status === 'open')
                                    <a href="#" data-toggle="modal" data-target="#AddClosure" data-claim-id="{{ $case->id }}"><i class="fa fa-plus-square-o" title="Add Closure Details"></i></a> &nbsp;
                                    <i class="fa fa-file-text-o" title="Add Notes" href="#" data-toggle="modal" data-target="#AddNotes" data-claim-id="{{ $case->id }}"></i> &nbsp;
                                @endif
                                <a href="{{ route('case.detail', $case->id)}}"><i class="fa fa-search" title="View Details"></i></a>&nbsp;
                                @if($case->status !== 'closed')
                                    <i class="fa fa-angle-double-right" title="Update Status" href="#" data-toggle="modal" data-target="#ChangeStatus1" data-claim-id="{{ $case->id }}" data-current-status="{{ $case->status }}"></i>
                                @endif
                              </td>
                            </tr>
                            @endforeach
                          </tbody>
                        </table>
                      </div>
                    </div>
                    <div class="custom-pagination">
                      <ul class="pagination">
                        <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"><a class="page-link" href="#">Next</a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="footer-copyright-area">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <div class="footer-copy-right">
            <p>Copyright &copy; 2024. All rights reserved. </p>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="AddInformation" class="modal modal-edu-general default-popup-PrimaryModal fade" role="dialog">
    <div class="modal-dialog modal-fullscreen">
      <div class="modal-content">
        <div class="modal-header header-color-modal bg-color-1">
          <h4 class="modal-title">Add Information to the Case</h4>
          <div class="modal-close-area modal-close-df"> <a class="close" data-dismiss="modal" href="#"><i class="fa fa-close"></i></a> </div>
        </div>
        <div class="modal-body" style="padding: 0; text-align: left">
          <div class="product-payment-inner-st mb-100">
            <form id="addInfoForm" action="#">
              <input type="hidden" name="insurance_claim_id" value="">
              <div class="row">
                <div class="col-md-12" >
                  <div class="form-group col-lg-3">
                    <label>Policy Number <span class="imp-red">*</span></label>
                    <input name="policy_number" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Claim Number <span class="imp-red">*</span></label>
                    <input name="claim_number" type="text" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Incident Date <span class="imp-red">*</span></label>
                    <input name="incident_date" class="form-control" type="date" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Notified Date <span class="imp-red">*</span></label>
                    <input name="notified_date" class="form-control" type="date" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Driver Name <span class="imp-red">*</span></label>
                    <input name="driver_name" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Driver Age <span class="imp-red">*</span></label>
                    <input name="driver_age" type="number" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Claim Notified By <span class="imp-red">*</span></label>
                    <input name="claim_notified_by" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Vehicle Registration <span class="imp-red">*</span></label>
                    <input name="vehicle_registration" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>File Handler <span class="imp-red">*</span></label>
                    <input name="file_handler" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Responsibility <span class="imp-red">*</span></label>
                    <input name="responsibility" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-3">
                    <label>Dashcam Footage <span class="imp-red">*</span></label>
                    <div class="file-upload-inner file-upload-inner-right ts-forms">
                      <div class="input append-small-btn">
                        <div class="file-button"> Browse
                          <input type="file" name="dashcam_footage">
                        </div>
                        <input type="text" id="append-small-btn" placeholder="no file selected">
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Circumstances <span class="imp-red">*</span></label>
                    <textarea name="circumstances" placeholder="Description" required></textarea>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Digital Signature <span class="imp-red">*</span></label>
                    <textarea name="digital_signature" required></textarea>
                  </div>
                </div>
              </div>
              <div class="form-group col-lg-12 mt-t-30">
                <div class="text-center mt-t-30">
                  <button class="btn btn-success loginbtn">Add Information</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="ChangeStatus1" class="modal modal-edu-general default-popup-PrimaryModal fade" role="dialog">
    <div class="modal-dialog ">
      <div class="modal-content">
        <div class="modal-close-area modal-close-df"> <a class="close" data-dismiss="modal" href="#"><i class="fa fa-close"></i></a> </div>
        <div class="modal-body"> <i class="educate-icon educate-checked modal-check-pro"></i>
          <h2>Confirmation!</h2>
          <p>Are you sure to move this case from <strong>Logged</strong> to <strong>Open</strong> stage</p>
        </div>
        <div class="modal-footer"> <a href="#">Yes, Proceed</a> </div>
      </div>
    </div>
  </div>
  <div id="AddNotes" class="modal modal-edu-general default-popup-PrimaryModal fade" role="dialog">
    <div class="modal-dialog ">
      <div class="modal-content">
        <div class="modal-header header-color-modal bg-color-1">
          <h4 class="modal-title">Add Notes to the Case</h4>
          <div class="modal-close-area modal-close-df"> <a class="close" data-dismiss="modal" href="#"><i class="fa fa-close"></i></a> </div>
        </div>
        <div class="modal-body" style="padding: 0; text-align: left">
          <div class="product-payment-inner-st mb-100">
            <form id="addNotesForm" action="#">
              <input type="hidden" name="insurance_claim_id" value="">
              <div class="row">
                <div class="col-md-12" >
                  <div class="form-group col-lg-12">
                    <label>Title<span class="imp-red">*</span></label>
                    <input name="title" class="form-control" required>
                  </div>
                  <div class="form-group col-lg-12">
                    <label>Date <span class="imp-red">*</span></label>
                    <input name="note_date" class="form-control" type="date" required>
                  </div>
                  <div class="form-group col-lg-12">
                    <label>Upload Document <span class="imp-red">*</span></label>
                    <div class="file-upload-inner file-upload-inner-right ts-forms">
                      <div class="input append-small-btn">
                        <div class="file-button"> Browse
                          <input type="file" name="document">
                        </div>
                        <input type="text" id="append-small-btn" placeholder="no file selected">
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-lg-12">
                    <label>Notes <span class="imp-red">*</span></label>
                    <textarea name="notes" placeholder="Enter notes" required></textarea>
                  </div>
                  <div class="form-group col-lg-12">
                    <label>Digital Signature <span class="imp-red">*</span></label>
                    <textarea name="digital_signature" required></textarea>
                  </div>
                </div>
              </div>
              <div class="form-group col-lg-12 mt-t-30">
                <div class="text-center mt-t-30">
                  <button class="btn btn-success loginbtn">Add Notes</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="AddClosure" class="modal modal-edu-general default-popup-PrimaryModal fade" role="dialog">
    <div class="modal-dialog modal-fullscreen">
      <div class="modal-content">
        <div class="modal-header header-color-modal bg-color-1">
          <h4 class="modal-title">Close the Case</h4>
          <div class="modal-close-area modal-close-df"> <a class="close" data-dismiss="modal" href="#"><i class="fa fa-close"></i></a> </div>
        </div>
        <div class="modal-body" style="padding: 0; text-align: left">
          <div class="product-payment-inner-st mb-100">
            <form id="closureForm" action="{{ route('case.closure.store') }}" method="POST" enctype="multipart/form-data">
              @csrf
              <input type="hidden" name="claim_id" id="closure_claim_id">
              <div class="row">
                <div class="col-md-12" >
                  <div class="form-group col-lg-4">
                    <label>Final Outcome From Insurance <span class="imp-red">*</span></label>
                    <select class="form-control custom-select-value" name="outcome" required>
                      <option value="">Select Outcome</option>
                      <option value="Faulty">Faulty</option>
                      <option value="Non Faulty">Non Faulty</option>
                    </select>
                  </div>
                  <div class="form-group col-lg-4">
                    <label>Final Costing<span class="imp-red">*</span></label>
                    <input type="number" name="final_costing" class="form-control" required step="0.01">
                  </div>
                  <div class="form-group col-lg-4">
                    <label>Payment Date <span class="imp-red">*</span></label>
                    <input name="payment_date" class="form-control" type="date" required>
                  </div>
                  <div class="form-group col-lg-4">
                    <label>Case Close Date <span class="imp-red">*</span></label>
                    <input name="case_close_date" class="form-control" type="date" required>
                  </div>
                  <div class="form-group col-lg-4">
                    <label>Closure Reasoning <span class="imp-red">*</span></label>
                    <select class="form-control custom-select-value" name="closure_reasoning" required>
                      <option value="">Select Reasoning</option>
                      <option value="Settled">Settled</option>
                      <option value="Denied">Denied</option>
                      <option value="No Further Action">No Further Action</option>
                      <option value="Withdrawn">Withdrawn</option>
                      <option value="Resolved by Agreement">Resolved by Agreement</option>
                      <option value="Settled Privately">Settled Privately</option>
                    </select>
                  </div>
                  <div class="form-group col-lg-4">
                    <label>Supporting documentation <span class="imp-red">*</span></label>
                    <div class="file-upload-inner file-upload-inner-right ts-forms">
                      <div class="input append-small-btn">
                        <div class="file-button"> Browse
                          <input type="file" name="supporting_documentation" required>
                        </div>
                        <input type="text" id="append-small-btn" placeholder="no file selected" readonly>
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Brief Summary <span class="imp-red">*</span></label>
                    <textarea name="brief_summary" placeholder="Summary" required></textarea>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Outstanding issues if any <span class="imp-red">*</span></label>
                    <textarea name="outstanding_issues" placeholder="Outstanding issues if any" required></textarea>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Communication Summary <span class="imp-red">*</span></label>
                    <textarea name="communication_summary" placeholder="Communication summary" required></textarea>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Final Case Notes <span class="imp-red">*</span></label>
                    <textarea name="final_case_notes" placeholder="Final case notes" required></textarea>
                  </div>
                  <div class="form-group col-lg-6">
                    <label>Digital Signature <span class="imp-red">*</span></label>
                    <input name="digital_signature" class="form-control" required>
                  </div>
                </div>
              </div>
              <div class="form-group col-lg-12">
                <div class="payment-adress mg-t-15">
                  <button type="submit" class="btn btn-primary waves-effect waves-light">Close Case</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="ChangeStatus2" class="modal modal-edu-general default-popup-PrimaryModal fade" role="dialog">
    <div class="modal-dialog ">
      <div class="modal-content">
        <div class="modal-close-area modal-close-df"> <a class="close" data-dismiss="modal" href="#"><i class="fa fa-close"></i></a> </div>
        <div class="modal-body"> <i class="educate-icon educate-checked modal-check-pro"></i>
          <h2>Confirmation!</h2>
          <p>Are you sure to move this case from <strong>Open</strong> to <strong>Closed</strong> stage</p>
        </div>
        <div class="modal-footer"> <a href="#">Yes, Proceed</a> </div>
      </div>
    </div>
  </div>
  <div id="Reopen" class="modal modal-edu-general default-popup-PrimaryModal fade" role="dialog">
    <div class="modal-dialog ">
      <div class="modal-content">
        <div class="modal-close-area modal-close-df"> <a class="close" data-dismiss="modal" href="#"><i class="fa fa-close"></i></a> </div>
        <div class="modal-body"> <i class="educate-icon educate-checked modal-check-pro"></i>
          <h2>Confirmation!</h2>
          <p>Are you sure you want to <strong>Reopen</strong> the Case</p>
        </div>
        <div class="modal-footer"> <a href="#">Yes, Proceed</a> </div>
      </div>
    </div>
  </div>
</div>
@endsection

@section('scripts')
<script>
$(document).ready(function() {
    // Set up CSRF token for all AJAX requests
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    // When Add Information modal is about to be shown
    $('#AddInformation').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var claimId = button.data('claim-id'); // Extract claim id from data-* attributes
        var modal = $(this);
        modal.find('input[name="insurance_claim_id"]').val(claimId);
    });

    $('#addInfoForm').on('submit', function(e) {
        e.preventDefault();

        var formData = new FormData(this);
        var form = $(this);

        // Remove any existing messages
        $('#addInfoForm .alert').remove();
        $('#successMessage').hide();

        $.ajax({
            url: "{{ route('additional.info.store') }}",
            type: "POST",
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                console.log('Response:', response); // Debug log
                if (response.status === 'success') {
                    // Close modal first
                    $('#AddInformation').modal('hide');
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');

                    // Reset form
                    form[0].reset();

                    // Show success message in the case
                    $('#successMessage').html(response.message).fadeIn();

                    // Scroll to top to show the message
                    $('html, body').animate({
                        scrollTop: $('#successMessage').offset().top - 100
                    }, 500);

                    // Optionally hide the message after some time
                    setTimeout(function() {
                        $('#successMessage').fadeOut();
                    }, 5000);

                    // Reload page after a delay
                    setTimeout(function() {
                        location.reload();
                    }, 2000);
                }
            },
            error: function(xhr) {
                console.log('Error:', xhr); // Debug log
                if (xhr.status === 422) {
                    // Validation errors
                    var errors = xhr.responseJSON.errors;
                    var errorHtml = '<div class="alert alert-danger"><ul>';
                    $.each(errors, function(key, value) {
                        errorHtml += '<li>' + value[0] + '</li>';
                    });
                    errorHtml += '</ul></div>';
                    // Remove any existing error messages
                    $('#addInfoForm .alert').remove();
                    // Add new error messages
                    $('#addInfoForm').prepend(errorHtml);
                } else {
                    // Server error
                    var errorMessage = '<div class="alert alert-danger">An error occurred while saving the information</div>';
                    $('#addInfoForm').prepend(errorMessage);
                }
            }
        });
    });

    // Handle ChangeStatus1 modal (logged to open)
    $('#ChangeStatus1').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var claimId = button.data('claim-id');
        var currentStatus = button.data('current-status');
        var modal = $(this);
        modal.find('.modal-footer a').attr('data-claim-id', claimId);
        modal.find('.modal-footer a').attr('data-current-status', currentStatus);
        // Update confirmation message
        modal.find('p').html('Are you sure to move this case from <strong>' + currentStatus + '</strong> to <strong>open</strong> stage');
    });

    // Handle ChangeStatus2 modal (logged to closed)
    $('#ChangeStatus2').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var claimId = button.data('claim-id');
        var currentStatus = button.data('current-status');
        var modal = $(this);
        modal.find('.modal-footer a').attr('data-claim-id', claimId);
        modal.find('.modal-footer a').attr('data-current-status', currentStatus);
        // Update confirmation message
        modal.find('p').html('Are you sure to move this case from <strong>' + currentStatus + '</strong> to <strong>closed</strong> stage');
    });

    // Handle status change confirmation
    $('.modal-footer a').on('click', function(e) {
        e.preventDefault();
        var button = $(this);
        var modal = button.closest('.modal');
        var claimId = button.data('claim-id');
        var currentStatus = button.data('current-status');
        var newStatus = modal.attr('id') === 'ChangeStatus1' ? 'open' : 'closed';

        $.ajax({
            url: "{{ route('case.status.update') }}",
            type: "POST",
            data: {
                claim_id: claimId,
                from_status: currentStatus,
                to_status: newStatus
            },
            success: function(response) {
                if (response.status === 'success') {
                    // Show success message
                    $('#successMessage').html(response.message).fadeIn();

                    // Close modal
                    modal.modal('hide');
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');

                    // Scroll to message
                    $('html, body').animate({
                        scrollTop: $('#successMessage').offset().top - 100
                    }, 500);

                    // Hide message after delay
                    setTimeout(function() {
                        $('#successMessage').fadeOut();
                    }, 5000);

                    // Reload page
                    setTimeout(function() {
                        location.reload();
                    }, 2000);
                }
            },
            error: function(xhr) {
                console.log('Error:', xhr);
                var errorMessage = '<div class="alert alert-danger">An error occurred while updating the status</div>';
                modal.find('.modal-body').prepend(errorMessage);
            }
        });
    });

    // Handle AddNotes modal
    $('#AddNotes').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var claimId = button.data('claim-id');
        var modal = $(this);
        modal.find('input[name="insurance_claim_id"]').val(claimId);
    });

    // Handle notes form submission
    $('#addNotesForm').on('submit', function(e) {
        e.preventDefault();

        var formData = new FormData(this);
        var form = $(this);

        // Remove any existing messages
        $('#addNotesForm .alert').remove();
        $('#successMessage').hide();

        $.ajax({
            url: "{{ route('case.notes.store') }}",
            type: "POST",
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                if (response.status === 'success') {
                    $('#AddNotes').modal('hide');
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');

                    // Reset form
                    form[0].reset();

                    // Show success message
                    $('#successMessage').html(response.message).fadeIn();

                    // Scroll to top to show the message
                    $('html, body').animate({
                        scrollTop: $('#successMessage').offset().top - 100
                    }, 500);

                    // Hide message after delay
                    setTimeout(function() {
                        $('#successMessage').fadeOut();
                    }, 5000);

                    // Reload page
                    setTimeout(function() {
                        location.reload();
                    }, 2000);
                }
            },
            error: function(xhr) {
                console.log('Error:', xhr);
                if (xhr.status === 422) {
                    // Validation errors
                    var errors = xhr.responseJSON.errors;
                    var errorHtml = '<div class="alert alert-danger"><ul>';
                    $.each(errors, function(key, value) {
                        errorHtml += '<li>' + value[0] + '</li>';
                    });
                    errorHtml += '</ul></div>';
                    // Remove any existing error messages
                    $('#addNotesForm .alert').remove();
                    // Add new error messages
                    $('#addNotesForm').prepend(errorHtml);
                } else {
                    // Server error
                    var errorMessage = '<div class="alert alert-danger">An error occurred while saving the notes</div>';
                    $('#addNotesForm').prepend(errorMessage);
                }
            }
        });
    });

    // Handle closure form submission
    $('#closureForm').on('submit', function(e) {
        e.preventDefault();
        
        var formData = new FormData(this);
        var form = $(this);
        
        // Remove any existing messages
        $('#closureForm .alert').remove();
        $('#successMessage').hide();
        
        $.ajax({
            url: form.attr('action'),
            type: "POST",
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                if (response.status === 'success') {
                    $('#AddClosure').modal('hide');
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');
                    
                    // Reset form
                    form[0].reset();
                    
                    // Show success message
                    $('#successMessage').html(response.message).fadeIn();
                    
                    // Scroll to top to show the message
                    $('html, body').animate({
                        scrollTop: $('#successMessage').offset().top - 100
                    }, 500);
                    
                    // Hide message after delay
                    setTimeout(function() {
                        $('#successMessage').fadeOut();
                    }, 5000);
                    
                    // Reload page
                    setTimeout(function() {
                        location.reload();
                    }, 1000);
                }
            },
            error: function(xhr) {
                var errors = xhr.responseJSON;
                if (errors && errors.errors) {
                    $.each(errors.errors, function(key, value) {
                        $('[name="' + key + '"]').after('<div class="alert alert-danger">' + value[0] + '</div>');
                    });
                } else {
                    form.prepend('<div class="alert alert-danger">' + (errors.message || 'Something went wrong') + '</div>');
                }
            }
        });
    });

    // Update claim_id when closure modal is opened
    $('[data-target="#AddClosure"]').on('click', function() {
        var claimId = $(this).data('claim-id');
        $('#closure_claim_id').val(claimId);
    });

    // Handle Reopen modal
    $('#Reopen').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var claimId = button.data('claim-id');
        var currentStatus = button.data('current-status');
        var modal = $(this);
        modal.find('.modal-footer a').attr('data-claim-id', claimId);
        modal.find('.modal-footer a').attr('data-current-status', currentStatus);
    });

    // Handle Reopen button click
    $('#Reopen .modal-footer a').on('click', function(e) {
        e.preventDefault();
        var button = $(this);
        var claimId = button.data('claim-id');
        
        $.ajax({
            url: "{{ route('case.reopen') }}",
            type: "POST",
            data: {
                claim_id: claimId
            },
            success: function(response) {
                if (response.status === 'success') {
                    $('#Reopen').modal('hide');
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');
                    
                    $('#successMessage').html(response.message).fadeIn();
                    
                    $('html, body').animate({
                        scrollTop: $('#successMessage').offset().top - 100
                    }, 500);
                    
                    setTimeout(function() {
                        $('#successMessage').fadeOut();
                    }, 5000);
                    
                    setTimeout(function() {
                        location.reload();
                    }, 1000);
                }
            },
            error: function(xhr) {
                var errors = xhr.responseJSON;
                alert(errors.message || 'Something went wrong');
            }
        });
    });
});
</script>
@endsection
