@extends('layouts.main')
@section('content')
<div class="all-content-wrapper">
     @include('includes.header')
    <div class="admintab-area mg-b-15">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <div class="sparkline12-list shadow-reset mg-t-30">
                    <div class="sparkline12-hd">
                        <div class="main-sparkline12-hd">
                            <h1>Edit User: {{ $user->username }}</h1>
                        </div>
                    </div>
                    <div class="sparkline12-graph">
                        <div class="basic-login-form-ad">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="all-form-element-inner">
                                        @if ($errors->any())
                                            <div class="alert alert-danger">
                                                <ul>
                                                    @foreach ($errors->all() as $error)
                                                        <li>{{ $error }}</li>
                                                    @endforeach
                                                </ul>
                                            </div>
                                        @endif

                                        <form action="{{ route('users.update', $user) }}" method="POST">
                                            @csrf
                                            @method('PUT')

                                            <div class="form-group">
                                                <label>Username</label>
                                                <input type="text" name="username" class="form-control" value="{{ old('username', $user->username) }}" required>
                                            </div>

                                            <div class="form-group">
                                                <label>Email</label>
                                                <input type="email" name="email" class="form-control" value="{{ old('email', $user->email) }}" required>
                                            </div>

                                            <div class="form-group">
                                                <label>Password (leave empty to keep current)</label>
                                                <input type="password" name="password" class="form-control">
                                            </div>

                                            <div class="form-group">
                                                <label>Contact</label>
                                                <input type="text" name="contact" class="form-control" value="{{ old('contact', $user->contact) }}" required>
                                            </div>

                                            <div class="form-group">
                                                <label>Address</label>
                                                <textarea name="address" class="form-control" required>{{ old('address', $user->address) }}</textarea>
                                            </div>

                                            <div class="form-group">
                                                <label>Company Name (Optional)</label>
                                                <input type="text" name="company_name" class="form-control" value="{{ old('company_name', $user->company_name) }}">
                                            </div>

                                            <div class="form-group">
                                                <label>Role</label>
                                                <select name="role" class="form-control" required>
                                                    <option value="">Select Role</option>
                                                    <option value="admin" {{ old('role', $user->role) == 'admin' ? 'selected' : '' }}>Admin</option>
                                                    <option value="agent" {{ old('role', $user->role) == 'agent' ? 'selected' : '' }}>Agent</option>
                                                </select>
                                            </div>

                                            <button type="submit" class="btn btn-primary">Update User</button>
                                            <a href="{{ route('users.index') }}" class="btn btn-default">Cancel</a>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</div>
@endsection
