@extends('layouts.main')
@section('content')
<div class="all-content-wrapper">
    @include('includes.header')
    <div class="admintab-area mg-b-15">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <div class="sparkline12-list shadow-reset mg-t-30">
                    <div class="sparkline12-hd">
                        <div class="main-sparkline12-hd">
                            <div class="row">
                                <div class="col-lg-6">
                                    <h1>User Management</h1>
                                </div>
                                <div class="col-lg-6">
                                    <a href="{{ route('users.create') }}" class="btn btn-primary pull-right">Create New User</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="sparkline12-graph">
                        <div class="static-table-list">
                            @if(session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                            @endif
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>Username</th>
                                        <th>Email</th>
                                        <th>Contact</th>
                                        <th>Company</th>
                                        <th>Role</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($users as $user)
                                        <tr>
                                            <td>{{ $user->username }}</td>
                                            <td>{{ $user->email }}</td>
                                            <td>{{ $user->contact }}</td>
                                            <td>{{ $user->company_name ?? '-' }}</td>
                                            <td>{{ ucfirst($user->role) }}</td>
                                            <td>
                                                <a href="{{ route('users.edit', $user) }}" class="btn btn-sm btn-info">Edit</a>
                                                <form action="{{ route('users.destroy', $user) }}" method="POST" style="display: inline;">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</div>
@endsection
