<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\InsuranceClaimController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\HomeController;

Route::get('/', function () {
    return view('main.index');
})->name('main.index');

Auth::routes();

Route::get('/home', [HomeController::class, 'index'])->name('home');
Route::get('/case-list', [HomeController::class, 'caseList'])->name('case.list');
Route::get('/case-detail/{id}', [HomeController::class, 'caseDetail'])->name('case.detail');

Route::middleware(['auth'])->group(function () {
    Route::resource('users', UserController::class);
});

Route::post('/insurance-claim', [InsuranceClaimController::class, 'store'])->name('insurance.claim.store');
Route::post('/additional-information', [HomeController::class, 'storeAdditionalInfo'])->name('additional.info.store');
Route::post('/case-status-update', [HomeController::class, 'updateStatus'])->name('case.status.update');
Route::post('/case-notes', [HomeController::class, 'storeNotes'])->name('case.notes.store');
Route::post('/case-edit', [HomeController::class, 'editCase'])->name('case.edit');
Route::post('/case/closure/store', [HomeController::class, 'storeClosure'])->name('case.closure.store');
Route::post('/case/reopen', [HomeController::class, 'reopenCase'])->name('case.reopen');

Route::get('/case/attachments/{claimId}', [HomeController::class, 'downloadAttachments'])->name('case.attachments.download');
Route::get('/case/{id}/pdf', [HomeController::class, 'generateCaseDetailsPdf'])->name('case.pdf.download');
Route::get('/case/closure/{claimId}/download', [HomeController::class, 'downloadClosureDocuments'])->name('case.closure.download');

Route::delete('/case/attachment/{id}', [HomeController::class, 'deleteAttachment'])->name('case.attachment.delete');
